<br/>
<br/>
<div class="text-center" id="wait">
    <i class="fa fa fa-spinner fa-spin" style="font-size: 48px;"></i>
    <h6 th:text="#{popup.redirecting.please.wait}">Redireccionando, espere por favor...</h6>
</div>

<!-- Incluye Culqi Checkout en tu sitio web-->
<script src="https://checkout.culqi.com/js/v3"></script>

<form action="culqi/charge" method="POST" id="culqi-charge">
    <input type="hidden" name="token" value="" id="token"/>
    <input type="hidden" name="reqId" th:value="${req.id}"/>
</form>

<script th:inline='javascript'>

    /*<![CDATA[*/
    var pubKey = /*[[${formData.get('public_key')}]]*/ 'xx';
    var saleTitle = /*[[${req.title}]]*/ 'xx';
    var saleCurrency = /*[[${req.currency}]]*/ 'xx';
    var saleDescription = /*[[${req.description}]]*/ 'xx';
    var saleAmount = /*[[${req.getIntegerAmount()}]]*/ 'xx';
    var saleEmail = /*[[${req.billingEmail}]]*/ 'xx';
    /*]]>*/

    // Configura tu llave pública
    Culqi.publicKey = pubKey;
    // Configura tu Culqi Checkout
    Culqi.settings({
        title: saleTitle,
        currency: saleCurrency,
        description: saleDescription,
        amount: saleAmount,
        cardEmail: saleEmail
    });
    Culqi.open();

    $('#wait').hide();

    function culqi() {
        if (Culqi.token) {
            var token = Culqi.token.id;
            $('#token').val(token);
            $('#wait').show();
            $('#culqi-charge').submit();
        } else {
            alert('Error de tarjeta!');
        }
    }

    var mustReload = true;
    window.onmessage = function (event) {
        if (event.data === 'checkout_cerrado') {
            if (mustReload) {
                window.location = "/";
            }
        }
        mustReload = false;
    };

</script>



